## lxqt-admin 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-admin)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Set default installation paths
set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")

# Minimum Versions
set(LXQT_MINIMUM_VERSION "1.4.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(PolkitQt5-1 REQUIRED)

# Patch Version
set(LXQT_ADMIN_PATCH_VERSION 0)

set(LXQT_ADMIN_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_PATCH_VERSION})
add_definitions(
    "-DLXQT_ADMIN_VERSION=\"${LXQT_ADMIN_VERSION}\""
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

if(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    add_subdirectory(lxqt-admin-user)
    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-time")
else()
    add_subdirectory(lxqt-admin-user)
    add_subdirectory(lxqt-admin-time)
endif()

=== lxqt-admin-time/CMakeLists.txt ===
project(lxqt-admin-time)

# build static helper class first
include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
)

set ( lxqt-admin-time_HDRS
    timeadmindialog.h
    datetime.h
    timezone.h
    itimedatectl.h
    dbustimedatectl.h
    fbsdtimedatectl.h
    nosdtimedatectl.h
)

set ( lxqt-admin-time_SRCS
    main.cpp
    timeadmindialog.cpp
    datetime.cpp
    timezone.cpp
    fbsdtimedatectl.cpp
    dbustimedatectl.cpp
    nosdtimedatectl.cpp
)

set ( lxqt-admin-time_MOCS
    timeadmindialog.h
    datetime.h
    timezone.h
)

set( lxqt-admin-time_UIS
    datetime.ui
    timezone.ui
)

qt5_wrap_cpp(MOCS ${lxqt-admin-time_MOCS})
qt5_wrap_ui(UIS ${lxqt-admin-time_UIS})

# Translations **********************************
lxqt_translate_ts(lxqt-admin-time_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${lxqt-admin-time_HDRS}
    ${lxqt-admin-time_SRCS}
    ${lxqt-admin-time_UIS}
    INSTALL_DIR
    "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    lxqt-admin-time.desktop.in
    USE_YAML
)

lxqt_app_translation_loader(lxqt-admin-time_QM_LOADER ${PROJECT_NAME})
#************************************************

find_package(PkgConfig QUIET)
pkg_check_modules(LIBSYSTEMD QUIET libsystemd)
if(NOT LIBSYSTEMD_FOUND)
    add_definitions(-DNO_SYSTEMD)
endif()

add_executable(lxqt-admin-time
    ${lxqt-admin-time_SRCS}
    ${UIS}
    ${MOCS}
    ${DESKTOP_FILES}
    ${lxqt-admin-time_QM_FILES}
    ${lxqt-admin-time_QM_LOADER}
)

target_link_libraries(lxqt-admin-time
    Qt5::Widgets
    Qt5::DBus
    lxqt
)
install(TARGETS lxqt-admin-time RUNTIME DESTINATION bin)
install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
install(PROGRAMS "lxqt-admin-time-helper.freebsd" DESTINATION bin RENAME lxqt-admin-time-helper)
install(FILES "org.lxqt.lxqt-admin-time.policy" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
else()
if(NOT LIBSYSTEMD_FOUND)
configure_file(org.lxqt.lxqt-admin-time.policy.nosd.in "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-time.policy.nosd")
install (PROGRAMS "lxqt-admin-time-helper.nosystemd" DESTINATION bin RENAME lxqt-admin-time-helper)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-time.policy.nosd" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}" RENAME org.lxqt.lxqt-admin-time.policy)
endif()
endif()

=== lxqt-admin-user/CMakeLists.txt ===
project(lxqt-admin-user)

# build static helper class first
include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
)

set ( lxqt-admin-user_SRCS
    main.cpp
    mainwindow.cpp
    userdialog.cpp
    groupdialog.cpp
    usermanager.cpp
)

set ( lxqt-admin-user_MOCS
    mainwindow.h
    userdialog.h
    groupdialog.h
    usermanager.h
)

set( lxqt-admin-user_UIS
    mainwindow.ui
    userdialog.ui
    groupdialog.ui
)

qt5_wrap_cpp(MOCS ${lxqt-admin-user_MOCS})
qt5_wrap_ui(UIS ${lxqt-admin-user_UIS})

# Translations **********************************
lxqt_translate_ts(lxqt-admin-user_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${lxqt-admin-user_MOCS}
    ${lxqt-admin-user_SRCS}
    ${lxqt-admin-user_UIS}
    INSTALL_DIR
    "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    lxqt-admin-user.desktop.in
    USE_YAML
)
lxqt_app_translation_loader(lxqt-admin-user_QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-admin-user
    ${lxqt-admin-user_SRCS}
    ${UIS}
    ${MOCS}
    ${DESKTOP_FILES}
    ${lxqt-admin-user_QM_FILES}
    ${lxqt-admin-user_QM_LOADER}
)

target_link_libraries(lxqt-admin-user
    Qt5::Widgets
    lxqt
)

install(TARGETS lxqt-admin-user RUNTIME DESTINATION bin)
install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)

# for policykit
# manpage for pcmanfm-qt
configure_file(
    "org.lxqt.lxqt-admin-user.policy.in"
    "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy"
    @ONLY
)

if(${CMAKE_SYSTEM_NAME} MATCHES  "FreeBSD")
    install(PROGRAMS "lxqt-admin-user-helper.freebsd" DESTINATION bin RENAME lxqt-admin-user-helper)
else()
    install(PROGRAMS "lxqt-admin-user-helper.default" DESTINATION bin RENAME lxqt-admin-user-helper)
endif()
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")

=== debian/changelog ===
lxqt-admin (1.4.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078291)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 08 Sep 2024 14:15:00 +0200

lxqt-admin (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/upstream/metadata: drop obsolete field Name.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 16:55:45 +0100

lxqt-admin (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control; build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: update url for git repo.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Jul 2023 08:07:58 +0200

lxqt-admin (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 23:23:59 +0800

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               libpolkit-qt5-1-dev,
               libqt5x11extras5-dev,
               libsystemd-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin
Rules-Requires-Root: no

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: lxqt-admin-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n,
Description: Language package for lxqt-admin
 The l10n files for lxqt-admin.
 .
 This package contains the l10n files needed by lxqt-admin.

## lxqt-admin 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -12,12 +12,12 @@
 set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQT_MINIMUM_VERSION "2.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
+find_package(PolkitQt6-1 REQUIRED)
 
 # Patch Version
 set(LXQT_ADMIN_PATCH_VERSION 0)

=== debian/changelog ===
lxqt-admin (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:37:50 -0500

lxqt-admin (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 18:00:48 -0600

=== debian/control ===
Source: lxqt-admin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 2.0.0),
               libpolkit-qt6-1-dev,
               libsystemd-dev,
               libx11-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-admin-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-admin-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin
Rules-Requires-Root: no

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-admin-l10n, lxqt-policykit, lxqt-qtplugin
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-admin
 The l10n files for lxqt-admin.
 .
 This package contains the l10n files needed by lxqt-admin.

## lxqt-admin 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "2.0.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-admin (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on liblxqt-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Tue, 10 Dec 2024 10:09:42 +0100

lxqt-admin (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:47:21 +0100

lxqt-admin (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  *  New upstream release 2.0.0
  * debian/control: bump dep on libpolkit-qt5-1-dev -> libpolkit-qt6-1-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt2-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: build-deps on liblxqt-dev (>= 2.0.0~).
  * debian/control: build-deps on libglib2.0-dev,
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 15:19:10 +0200

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.1.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin
Rules-Requires-Root: no

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-admin-l10n, lxqt-policykit, lxqt-qtplugin
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-admin
 The l10n files for lxqt-admin.
 .
 This package contains the l10n files needed by lxqt-admin.

## lxqt-admin 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== lxqt-admin-user/translations/CMakeLists.txt ===
project(lxqt-admin-user)

build_component("." "")

=== debian/changelog ===
lxqt-admin (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 19:12:10 +0800

lxqt-admin (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Fri, 08 Aug 2025 15:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libpolkit-qt6-1-dev,
                libsystemd-dev,
+               lxqt-build-tools (>= 2.2.0~),
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
 Homepage: https://github.com/lxqt/lxqt-admin

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,filenamemangle=s/([\d\.]+)\.tar\.gz/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/@PACKAGE@/tags .*/([\d\.]+)\.tar\.gz

## lxqt-admin 2.3.0

=== debian/changelog ===
lxqt-admin (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Sun, 23 Nov 2025 15:30:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
                libpolkit-qt6-1-dev,
                libsystemd-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-tools-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
